util-vserver (0.30.216-pre3120-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch dependencies from module-init-tools to kmod. (Closes: #811190)
  * Switch crypto backend from beecrypt to nss to allow beecrypt to be
    removed. (Closes: #606607)

 -- James Cowgill <jcowgill@debian.org>  Thu, 24 Mar 2016 11:46:00 +0000

util-vserver (0.30.216-pre3120-1) unstable; urgency=low

  * New upstream release.
  * Upgrade Standards-Version.
  * Move bash completition files to /usr/share/bash-completion/completions.
  * util-vserver sysvinit init script: Now it mounts /dev/cgroup accordingly
    if the option is set on /etc/default/util-vserver and the system supports
    it. It also loads vserver device maps by default if there is any configured.
  * Disable systemd support for now because is untested and enabling it would
    cause a build error: https://github.com/linux-vserver/util-vserver/issues/22
  * Add next Debian relase codename (Stretch) to the sid_style list.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 02 Sep 2015 18:48:19 +0200

util-vserver (0.30.216-pre3054-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with alternative syscalls disabled (Closes: #737629).
  * Update debian/watch to check also for pre-releases.
  * Switch to debhelper 9:
    - Enable hardening flags.
    - Run upstream unit tests at build time.
  * Run autoreconf before build.
  * Build python bindings.
  * Disable mounting /tmp as tmpfs by default.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 15 Mar 2014 18:40:09 +0100

util-vserver (0.30.216-pre3038-1) unstable; urgency=low

  * New mantainer
  * New upstream release (Closes: #605473) (Closes: #648160)
  * Update debian/copyright and switch it to dep5 format (Closes: #586510)
  * Change build dependency on automake1.9 (obsoleted) to automake

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 15 Jan 2014 14:02:15 +0100

util-vserver (0.30.216-pre2864-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #630368
    - Indonesian (Mahyuddin Susanto).  Closes: #658470
    - Polish (Michał Kułach).  Closes: #658506

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Feb 2012 08:11:44 +0100

util-vserver (0.30.216-pre2864-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix bashisms in helper scripts (Closes: #530995)
  
 -- Micah Anderson <micah@debian.org>  Tue, 13 Apr 2010 12:36:17 -0400

util-vserver (0.30.216-pre2864-1) unstable; urgency=low

  * New upstream pre-release (Closes: #542751)
  
 -- Micah Anderson <micah@debian.org>  Sat, 28 Nov 2009 18:30:19 -0500

util-vserver (0.30.216~r2855-1) unstable; urgency=low

  * Upgrade to latest svn snapshot
  * Upgrade standards version: no changes
  * Remove patches/70vserverbuild_cronfix.dpatch
  * Fix pending l10n issues. Debconf translations:
    . Japanese (Hideki Yamane (Debian-JP)).  Closes: #512856
    . Italian (Luca Monducci).  Closes: #551921
    . Russian (Yuri Kozlov).  Closes: #537916
    . Basque (Piarres Beobide).  Closes: #553154
    . Finnish (Esko Arajärvi).  Closes: #553651

 -- Micah Anderson <micah@debian.org>  Thu, 05 Nov 2009 16:00:30 -0500

util-vserver (0.30.216~r2842-2) unstable; urgency=low

  * Added pkg-config to build-depends to fix FTBS (Closes: #536680)

 -- Micah Anderson <micah@debian.org>  Mon, 20 Jul 2009 06:44:38 -0400

util-vserver (0.30.216~r2842-1) unstable; urgency=low

  * Remove /var/run directories from the package, they are managed
    by the initscript
  * Add set -e to util-vserver.preinst
  * Removed var/lock/sybsys, var/run/vservers.rev var/run/vservers 
    and var/run/vshelper from debian/dirs as these are managed by 
    the initscript
  * Added ${misc:Depends} to Depends
  * Update debhelper compatibility to 5
  * Update standards version (no changes)
  * Update Build-depends for new libbeecrypt-dev name (Closes: #536452).
  * Update Build-depends to also build against libnss3-dev
  * Remove 20securemount.dpatch, 30secmount_dev_fix.dpatch, 50dev_shm.dpatch
    60securecaps.dpatch, 80supportapiandcaps.dpatch as these are now part of 
    the new snapshot
  * Update to newer upstream snapshot (Closes: #524977)

 -- Micah Anderson <micah@debian.org>  Thu, 09 Jul 2009 22:49:33 -0400

util-vserver (0.30.216~r2772-7) unstable; urgency=low

   * Remove owned and unowned files after purge (Closes:#527065)            
     Thanks to Andrew Lee for the patch!  

 -- Micah Anderson <micah@debian.org>  Sun, 14 Jun 2009 16:47:10 +0000

util-vserver (0.30.216~r2772-6) unstable; urgency=medium

  * Added patch from Andres Mejia to fix bashisms (Closes: #486060)
  * Build on powerpc without the alternative syscalls, to fix
    vattribute: vc_set_ccaps(): Interrupted system call problem.
    Thanks to John H. Robinson, IV" <jaqque@debian.org> (Closes: #508569)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 15:59:56 -0500

util-vserver (0.30.216~r2772-5) unstable; urgency=low

  * Added debian/patches/70vserverbuild_cronfix.dpatch to fix
    disabled cron problem
  * Added debian/patches/80supportapiandcaps.dpatch to update the 
    API to fix the 2.6.27 regression (Closes: #505521) and solves 
    the capability inversion issue. (Closes: #506949)
  * Added Swedish translation, thanks Martin Bagge (Closes: #504033)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 11:13:39 -0500

util-vserver (0.30.216~r2772-4) unstable; urgency=low

  * Added /dev/shm to be created on vserver build for POSIX 
    compliance (Closes: #504780)
  * Added debian/patches/60securecaps.dpatch to change the default 
    policy to assume all capabilities are unsafe, unless they are
    specifically listed.
  * Fix incorrect $(CURDIR) usage in debian/rules (Closes: #307980)

 -- Micah Anderson <micah@debian.org>  Fri, 07 Nov 2008 13:13:29 -0500

util-vserver (0.30.216~r2772-3) unstable; urgency=low

  * Add versioned depends on util-linux (Closes: #499857) 

 -- Micah Anderson <micah@debian.org>  Sat, 04 Oct 2008 12:52:21 -0400

util-vserver (0.30.216~r2772-2) unstable; urgency=low

  * Fix initscript stop blocking reboot/shutdown (Closes: #496803)
  * Add 20securemount.dpatch and 30secmount_dev_fix.dpatch
    to fix -ro bindmounts becoming -rw

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 13:07:42 -0400

util-vserver (0.30.216~r2772-1) unstable; urgency=medium

  * Update to version that will work with the lenny kernel
  * Removed patches/50fix-syslogd-ignore-mask.dpatch as this has
    been incorporated upstream

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 12:40:21 -0400

util-vserver (0.30.216~r2750-3) unstable; urgency=medium

  * Fix incorrect removal of rsyslog in inittpost resulting
    in guests not starting properly, due to lenny release goal
    of switching to rsyslog (Closes: #491072)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:48:00 -0400

util-vserver (0.30.216~r2750-2) unstable; urgency=medium

  * Make configure script executable for buildds (Closes: #492093)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:31:18 -0400

util-vserver (0.30.216~r2750-1) unstable; urgency=medium

  * Upgrade to svn revision 2750
  * Remove unneeded 20newapi.dpatch
  * Updated standards version to 3.8.0 (no changes)

 -- Micah Anderson <micah@debian.org>  Sat, 19 Jul 2008 16:44:37 -0400

util-vserver (0.30.215-4) unstable; urgency=low

  * add patch 20newapi.dpatch which supports new kernel 
    API headers this is needed because debian's 
    linux-libc-dev is at 2.6.25 (Closes: #484479)

 -- Micah Anderson <micah@debian.org>  Sun, 01 Jun 2008 23:43:01 -0400

util-vserver (0.30.215-3) unstable; urgency=low

  * Remove bashism from initscript (Closes: #472889)

 -- Micah Anderson <micah@debian.org>  Thu, 27 Mar 2008 12:04:28 -0400

util-vserver (0.30.215-2) unstable; urgency=low

  * Bump version due to upload to TPU: epic fail

 -- Micah Anderson <micah@debian.org>  Tue, 18 Mar 2008 14:21:48 -0400

util-vserver (0.30.215-1) unstable; urgency=low

  * New upstream release
  * Update update-rc.d remove call to remove the right startup links
  * Removed 20freshenvserverman, 30createvserver-buildman as these 
    have moved upstream
  * Updated testfs.sh example script to version 18
  * Add --no-restart-on-upgrade to debian/rules dh_installinit 
    (Closes: #456996)
  * Updated debian/copyright to have correct upstream URL and copyright 
    info
  * Added -n to debian/rules dh_makeshlibs and dh_installdebconf so 
    duplicate updaterc.d calls in package scripts are removed

 -- Micah Anderson <micah@debian.org>  Mon, 17 Mar 2008 12:21:06 -0400

util-vserver (0.30.214-6) unstable; urgency=low

  * Add Homepage, Vcs-Browser, Vcs-Svn fields to debian/control
  * Add checks to make sure the .pkg and .hash directories are created
  * Add chroot barrier on .pkg and .hash directory
  * Adjust debian/watch file to find packages properly (Closes: #449670) 
  * Actually add the vserver-build man page 
  * Updated Standards version to 3.7.3 (no changes)
  * Remove Suggests on kernel-patch-vserver
  * Fixed some lintian errors

 -- Micah Anderson <micah@debian.org>  Fri, 07 Dec 2007 12:36:09 -0500

util-vserver (0.30.214-5) unstable; urgency=medium

  * Added patch to make default/util-vserver options work with
    both 'yes' and 'true, also removes extra $ in message due
    to bashism (Closes: #448439)
  * Fixed bad test in preinst (Closes: #448797)

 -- Micah Anderson <micah@debian.org>  Tue, 30 Oct 2007 10:52:51 -0400

util-vserver (0.30.214-4) unstable; urgency=medium

  * Fix incorrectly created directory
    /usr/lib/util-vserver/distributions/etch (Closes: #447296)
  * Remove /etc/vservers.conf from being distributed, this functionality is
    in /etc/defaults/util-vserver in Debian (Closes: #444798)
  * Add NEWS.Debian informtion about the static ID requirements in this
    version (Closes: #445054)
  * Add patches/20freshenvserver.dpatch to update the vserver(8) manpage
    (Closes: #447161)
  * Added patches/30createvserver-buildman.dpatch to create vserver-build(8)
  * Added patches/40vserver-build.dpatch to change the vserver-build script
    to include some missing arguments in the Usage section and remove legacy
    build methods
  * Removed legacy binaries and man pages that are no longer supported
  * Fixed debian/rules to pass debian-rules-ignores-make-clean-error lintian
    error
  * Added debhlper token to debian/util-vserver.prerm
  * Added LSB section to init.d script

 -- Micah Anderson <micah@debian.org>  Wed, 24 Oct 2007 18:53:56 -0400

util-vserver (0.30.214-3) unstable; urgency=medium

  * Fixed incorrect tab stops in debian/rules preventing
  migration to testing due to some arches, also cleaned up unused things
  * Switched Maintainer and Uploaders fields, as this is more close to reality
  * Added patch to fix grammar in rebootmgr.8 (Closes: #430484)
  * Removed build restriction for arm arch
  * Bumped urgency to medium to speed migration to testing as many people are
    wanting a backport from testing of this version

 -- Micah Anderson <micah@debian.org>  Tue, 04 Sep 2007 14:21:08 -0400

util-vserver (0.30.214-2) unstable; urgency=low

  * Updated testfs in examples/ to newest version 
  * Added e2fslibs-dev build-dep to fix 'FS_IOC_GETFLAGS' missing declaration
  * Disable legacy support as Debian doesn't ship any 2.4 kernels
  * Removed patches/01strict_ansi.dpatch as this is only needed for fscompat
    API, which is the ioctl-based interfaces to get/set flags/xid/etc in
    legacy (2.4) kernels

 -- Micah Anderson <micah@debian.org>  Tue, 04 Sep 2007 12:53:42 -0400

util-vserver (0.30.214-1) unstable; urgency=low

  * New upstream release
  * Removed modutils from Build-depends and Suggests (Closes: #432410)
  * Update build-depends to require dietlibc-dev >= 0.31-1 to fix
  vsched readdir bad address problem
  * Add patches/01strict_ansi.dpatch to get around problem 
  in linux-libc-dev (Closes: #439133)
  * removed e2fsprogs build-requirement as it is Priority: required already

 -- Micah Anderson <micah@debian.org>  Sun, 02 Sep 2007 17:24:25 -0400

util-vserver (0.30.213-1) unstable; urgency=low

  * New upstream release (Closes: #399469, #403332)
  * Removed unnecessary lib/vserver-syscall-def.h
  * Revert sysv/vprocunhide to upstream original
  * Revert scripts/vserver.stop to upstream original
  * Removed outdated documentation in man/ to sync with upstream:
    man/Makefile,vserver.pod,vserver-build.pod,vserver-build.8
  * Fixed force stop on restart, thanks vagrantc (Closes: #406040)
  * Removed pointless 03_vserver-build.functions_etc.dpatch
  * Correct incorrect reference to tty9 in defaults file, also standardize on
    "yes" value for BACKGROUND (Closes: #405356)
  * Added Spanish debconf translation, thanks to Steve Lord Flaubert 
    (Closes: #415202)
  * Added Dutch debconf translation, thanks to Bart Cornelis
    (Closes: #415500)
  * Added Portugese debconf translation, thanks Portuguese Translation Team
    (Closes: #420284)
  * Updated testme.sh and testfs.sh scripts

 -- Micah Anderson <micah@debian.org>  Sat,  9 Dec 2006 12:28:20 -0700

util-vserver (0.30.212-1) unstable; urgency=low

  * New upstream release
  * Removed patches that are included in this release
  * Removed build on Makefile.svn

 -- Micah Anderson <micah@debian.org>  Sat,  9 Dec 2006 11:57:43 -0700

util-vserver (0.30.211-6) unstable; urgency=low

  * Add cwd to the list of paths to exclude from namespace cleanup
    (Closes: #401190)

 -- Micah Anderson <micah@debian.org>  Mon,  4 Dec 2006 09:14:56 -0700

util-vserver (0.30.211-5) unstable; urgency=high

  * Update vserver bash completion script to handle multiple sourcing
    scenarios (Closes: #400044)
  * Added mkdir -p lines to initscript for those who mount /var/run
    as tmpfs (Ubuntu bug: #50545)
  * Create 09_automake_versions.dpatch to patch build system to
    use 1.9 automake utilities to fix FTBS (Closes: #400862)
  * Update 08_rsyncbuild_namespace_clone_naddress.dpatch to fix
    a small error that caused non-sysv initstyles to break

 -- Micah Anderson <micah@debian.org>  Tue, 28 Nov 2006 10:59:22 -0700

util-vserver (0.30.211-4) unstable; urgency=high

  * Added build-dep on libtool and automake1.9
  * Added 08_rsyncbuild_namespace_clone_naddress.dpatch to add support for
    naddress (add/remove addresses on the fly), build -m rsync support, and
    more namespace cleanup fixes
  * Added 07_rsync_flags.dpatch to use the same flags for legacy as the rsync
    build method's default (Closes: #383794)
  * Added patch to improve namespace cleanup to make sure some required directories stick
    around, and add some configuration options to exclude further paths.
  * Added 05_fix_no_dev_sanity.dpatch to fix no_dev_sanity logic
  * Added 04_optional_vlogin.dpatch to make vlogin optional
  * Added 01_clone_updates patch so CLONE_NEWUTS|CLONE_NEWIPC are supported
  * Updated scripts/vserver.functions, src/vserver-stat.c and src/vps.c to
    note the new location of the upstream FAQ (Closes: Bug#400101)
  * Updated capitalization in the initscript
  * Removed pointless early startup info in /etc/defaults/util-vserver
  * Removed vprocunhide status test in initscript, it was fundamentally flawed
  * Fixed kernel detection in init script status (Closes: #398015)
  * Added backgrounding for modern vserver guests in init script to support 
    defaults file (Closes: #391088)
  * Added ALWAYS_STOP to /etc/defaults/util-vserver, with default set to
    true so that when the system is rebooted, running vservers are stopped
    to avoid potential filesystem corruption (Closes: #400132)
  * Changed AUTO default in /etc/defaults/util-vserver to be true instead of
    false
  * Removed AUTO debconf question as this violated 10.7.4 (maintainer scripts
    must not alter a conffile...including the one the script belongs to), 
    urgency set to high as this is a RC bug
  * Special thanks goes to vagrant, he gets a delicious ball of queso fresco
    as thanks

 -- Micah Anderson <micah@debian.org>  Wed, 22 Nov 2006 21:32:22 -0700

util-vserver (0.30.211-3) unstable; urgency=low

  * Updated Czech debconf translation from Miroslav Kure
    <kurem@upcase.inf.upol.cz>, closes: #399611.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Nov 2006 06:38:19 +0100

util-vserver (0.30.211-2) unstable; urgency=low

  * Updated French debconf templates, closes: #393095.
  * Added German debconf translation, closes: #397114. Thanks to Helge
    Kreutzmann <debian@helgefjell.de> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Mon,  6 Nov 2006 07:15:07 +0100

util-vserver (0.30.211-1) unstable; urgency=low

  * Upgrade to new release
    . removed 20 patches that have been included in upstream release
  * Upgrade to examples/testfs.sh-0.14
  * Upgrade to examples/testme.sh-0.16
  * Make name more consistent (Closes: #389614)
  * Updated project URL in debian/control and debian/watch
	
 -- Micah Anderson <micah@debian.org>  Sat,  7 Oct 2006 13:34:21 -0600

util-vserver (0.30.210-11) unstable; urgency=low

  Ola Lundqvist <opal@debian.org>
  * Enabled backwards compatibility, closes: #389720.
    Thanks to Dariusz Pietrzak <proftpd@forumakad.pl>.
    This include a change to the init script to make it work
    for more than one legacy config file.
  * Updated to standards version 3.7.2.
  Micah Anderson <micah@debian.org>  Mon, 15 May 2006 11:07:37 -0500
  * Add Czech translation (Closes: #367173)
  * Change short description to be accurate
  * Fixed restart problem (Closes: #377690)

 -- Ola Lundqvist <opal@debian.org>  Sat,  30 Sep 2006 17:46:01 +0200

util-vserver (0.30.210-10) unstable; urgency=low

  * Correcting bash completion problem, closes: #365931, #366393.
    Done by updating to version 0.4 and adding /usr/sbin to vserver-info call.

 -- Ola Lundqvist <opal@debian.org>  Mon,  8 May 2006 21:17:16 +0200

util-vserver (0.30.210-9) unstable; urgency=low

  * Add recommends on debootstrap and yum (Closes: #363382)
  * Add french translation of debconf templates (Closes: #363422)
  * Updated start vservers patch (Closes: #364179)
  * Add vserver bash completion script (Closes: #364384)

 -- Micah Anderson <micah@debian.org>  Tue, 18 Apr 2006 17:03:18 -0400

util-vserver (0.30.210-8) unstable; urgency=low

  * Removed build-time tests from debian/rules (Closes: #362887)
  * Update description to fix URL (Closes: #363342)
  * Update description to be more up to date (Closes: #363343)
  * Fix replacement of /etc/vservers/.defaults/vdirbase even if it
    has been modified locally (Closes: #361382)

 -- Micah Anderson <micah@debian.org>  Sun, 16 Apr 2006 00:37:27 -0400

util-vserver (0.30.210-7) unstable; urgency=low

  * Fixed extra file installed in /etc/default (Closes: #361374)
  * Updated vcontext --uid patch fixing segfaults when called with 
    incorrect usernames, and missing hunks for chkconfig in scripts/vserver
  * Updated chroot barrier setting in initscript
  * Added build-time tests to debian/rules
  * Added apis patch to fix a typo and allowing for specifying oldproc and
    olduts in --enable-apis in configure
  * Added condrestart patch to fix conditional restarts in 'vserver'
  * Added cpuset support patch 
  * Added patch to fix nice function
  * Added prefix configure patch fix
  * Added patch to warn that gentoo initstyle is not an option
  * Added patch to fix start-vservers --all -stop not actually stopping all
    vservers, just marked ones
  * Added patch to fix vserver usage message to be more clear
  * Added a patch that lets you install Fedora Core 5 guests
  * Thanks go to Daniel Hokka Zakrisson!

 -- Micah Anderson <micah@debian.org>  Fri,  7 Apr 2006 16:57:06 -0400

util-vserver (0.30.210-6) unstable; urgency=low

  * Updated vserver delete patch 
  * Updated vlogin patch to 1.10

 -- Micah Anderson <micah@debian.org>  Thu,  6 Apr 2006 13:33:10 -0400

util-vserver (0.30.210-5) unstable; urgency=low

  * Added patch for vnamespace cleanup, allows you
    to touch /etc/vserver/<vsname>/namespace-cleanup or
    touch /etc/vservers/.defaults/namespace-cleanup globally,
    thanks to Bastian Blank (Closes: #360983)
  * Add patch to cleanup s390 and sparc64 clone_arch, thanks
    to Daniel Hokka Zakrisson (Closes: #361007)
  * Updated vlogin patch, now handles echo better

 -- Micah Anderson <micah@debian.org>  Wed,  5 Apr 2006 16:27:43 -0400

util-vserver (0.30.210-4) unstable; urgency=low

  * Move barrier on non-directories to initscript to try and get
    corner cases (Closes: #360885)
  * Add missing db_stop to postinst

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 12:29:06 -0400

util-vserver (0.30.210-3) unstable; urgency=low

  * Removed bashisms from initscript (Closes: #360675)
  * Fixed init script setting barrier on non-directories (Closes: #360765)
  * Updated debconf templates to follow developers reference (Closes: #360755)
  * Added vlogin patch from Daniel Hozac

 -- Micah Anderson <micah@debian.org>  Mon,  3 Apr 2006 11:19:16 -0400

util-vserver (0.30.210-2) unstable; urgency=low

  * Add dpatch to build-depends (Closes: #360563)

 -- Micah Anderson <micah@debian.org>  Sun,  2 Apr 2006 22:12:47 -0400

util-vserver (0.30.210-1) unstable; urgency=low

  * New upstream release (Closes: #343277, #307980)
  * Replaced upstream init scripts with a single init script that
    uses /etc/defaults and attempts to set the chroot barrier on start
  * Added debconf templates to ask if vservers should be controlled by boot
  * Added debconf templates on purge to ask about removing the entire
    /etc/vservers directory
  * Fixed things so we clean up after ourselves on uninstall (Closes: #348234)
  * Fixed start-vservers improper temp file cleanup (Closes: #351556)
  * Added patch to fix s390 clone syscall reversal (Closes: #356417)
  * Change name of testme scripts to be consistant with upstream
  * Add vschedcalc example script for calculating token buckets
  * Add patch to fix suexec from host with an invalid ID running as root
    (Closes: #360438)
  * Add patch to fix vattribute bcaps not being reset
  * Add patch to make chcontext behave as expected with --secure
  * Add patch to add vserver delete option
  * Moved make from a Recommends to a Depends (Closes: #327577)
  * Updated syscall-alternatives.h to -shiny10 patch

 -- Micah Anderson <micah@debian.org>  Thu,  2 Feb 2006 09:45:30 -0500

util-vserver (0.30.209-2) unstable; urgency=low

  * Include delta-0.30.209-shiny8.diff fixing syscalls for mips
    kudos to Greek0 and Bertl
  * Enable hppa build in debian/rules as it is now supported 
    (Closes: #346223)
  * Include fix from Kilian Krause to check for vserver support in the
    kernel before running, stop the messy boot messages (Closes: #346156)
  * Migrate to new package repository
  * Add me as an Uploader in debian/control
  * Bump Standards version to 3.6.2 (no changes)
  * Added testme.sh and testfs.sh to examples/ (Closes: #346334)

 -- Micah Anderson <micah@debian.org>  Fri,  6 Jan 2006 18:03:32 -0500

util-vserver (0.30.209-1) unstable; urgency=low

  * New upstream release.
    This fix a vserver escape problem on 2.4 kernel, closes: #329090.
  * Documented that xattrs is needed as a mount option on reiserfs,
    closes: #330529.
  * Remove two files on purge, closes: #338383.

 -- Ola Lundqvist <opal@debian.org>  Fri,  2 Dec 2005 17:26:39 +0100

util-vserver (0.30.208-4) unstable; urgency=low

  * Applied patch that make it possible to build on any architecture
    without the need of an vserver aware kernel, closes: #328209. Thanks
    to Andrew Lee <andrew@linux.org.tw> and Jrmy Bobbio
    <jeremy.bobbio@etu.upmc.fr> for the fix.
    Closes: #323888 (as well).
  * Corrected FSF address in debian/copyright.

 -- Ola Lundqvist <opal@debian.org>  Fri, 28 Oct 2005 21:44:57 +0200

util-vserver (0.30.208-3) unstable; urgency=low

  * Applied delta-0.30.208-fix02-fix03.diff patch to fix
    vc_create_context issue, closes: #332193. Thanks to
    Micah Anderson <micah@riseup.net> for the information.
  * Depend on libbeecrypt6-dev (>= 4.1.2-2) to make sure that vhashify
    will be built correctly, closes: #319927.

 -- Ola Lundqvist <opal@debian.org>  Sat,  8 Oct 2005 18:42:50 +0200

util-vserver (0.30.208-2) unstable; urgency=low

  * Applied patch-0.30.208-fix02.diff instead of patch-0.30.208-
    fix01.diff.

 -- Ola Lundqvist <opal@debian.org>  Sun, 25 Sep 2005 22:26:45 +0200

util-vserver (0.30.208-1) unstable; urgency=low

  * New upstream release, closes: #321659.
  * Applied fix patch from upstream.
    http://www.13thfloor.at/vserver/s_rel26/v2.0/patch-0.30.208-fix01.diff.gz
  * Added debian/watch file for simplified updates.

 -- Ola Lundqvist <opal@debian.org>  Thu, 18 Aug 2005 09:56:19 +0200

util-vserver (0.30.207-11) unstable; urgency=low

  * Sparc build fixed again with help of Steve Langasek
    <vorlon@debian.org> that suggested -mcpu=v8 instead of mv8.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Aug 2005 08:46:28 +0200

util-vserver (0.30.207-10) unstable; urgency=low

  * Commented out -mv8 option to GCC as it no longer build with it,
    closes: #321171.

 -- Ola Lundqvist <opal@debian.org>  Thu,  4 Aug 2005 10:22:51 +0200

util-vserver (0.30.207-9) unstable; urgency=low

  * Now almost all arches fail to build from source since the last fix,
    closes: #314156.

 -- Ola Lundqvist <opal@debian.org>  Sun, 31 Jul 2005 11:01:17 +0200

util-vserver (0.30.207-8) unstable; urgency=low

  * Close issue with ia64 build (need latest dietlibc),
    closes: #311855, #312075.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Jun 2005 21:38:22 +0200

util-vserver (0.30.207-7) unstable; urgency=low

  * Fixed newly introduced bashism.

 -- Ola Lundqvist <opal@debian.org>  Tue, 24 May 2005 22:17:18 +0200

util-vserver (0.30.207-6) unstable; urgency=high

  * Use beecrypt6 instead of beecrypt2, closes: #309681.
  * Suggest kernel-patch-vserver instead of kernel-patch-ctx, closes: #308998.
  * Corrected documentation, closes: #308893.
  * Better upgrade that avoid errors, closes: #305216.

 -- Ola Lundqvist <opal@debian.org>  Sun, 22 May 2005 19:20:47 +0200

util-vserver (0.30.207-5) unstable; urgency=high

  * libvserver so files is now in the package, closes: #306549.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 May 2005 13:19:30 +0200

util-vserver (0.30.207-4) unstable; urgency=high

  * Fix install issue again, closes: #307429.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 May 2005 13:06:16 +0200

util-vserver (0.30.207-3) unstable; urgency=high

  * Fix install issue, closes: #307429.
  * Added dist-clean to clean target in debian/rules to make a less big
    debian diff file.

 -- Ola Lundqvist <opal@debian.org>  Tue,  3 May 2005 18:41:30 +0200

util-vserver (0.30.207-2) unstable; urgency=medium

  * Added some more dependencies, closes: #305610.

 -- Ola Lundqvist <opal@debian.org>  Sun,  1 May 2005 23:09:44 +0200

util-vserver (0.30.207-1) unstable; urgency=medium

  * New upstream release.
  * Added build dependency on beecrypt2-dev to build vhashify,
    closes: #306549.
  * Modified build with debootstrap, closes: #306531.
  * Added -H to vserver-copy.
  * Added a setattr --barrier to postinst.
  * Default dir is now set in /etc/vservers/.default/vdirbase
    even for legacy configuration.

 -- Ola Lundqvist <opal@debian.org>  Sun,  1 May 2005 22:01:08 +0200

util-vserver (0.30.206-3) unstable; urgency=low

  * Fixed minor documentation issue on the last fix.
  * Moved back util-vserver-vars from /etc to /usr/lib/util-vserver.
  * Manage symlinks in /etc/vservers/.defaults/ by using postinst
    to make sure that they are not reset on upgrade.
  * Changed postinst upgrade path so it fit latest util-vserver package.

 -- Ola Lundqvist <opal@debian.org>  Tue, 19 Apr 2005 17:09:52 +0200

util-vserver (0.30.206-2) unstable; urgency=low

  * Fix for scripts/vserver-build.functions so it check for VDIR/etc
    instead of VDIR to allow for LVM mounted partitions.

 -- Ola Lundqvist <opal@debian.org>  Tue, 19 Apr 2005 16:48:31 +0200

util-vserver (0.30.206-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Apr 2005 20:44:20 +0200

util-vserver (0.30.204-6) unstable; urgency=low

  * Added new manpages for vserver and vserver-build, closes: #304650.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Apr 2005 19:41:08 +0200

util-vserver (0.30.204-5) unstable; urgency=medium

  * Fixed so that vserver-copy use bash instead of sh, closes: #304073.
  * Fixed so that vserver-copy use --numeric-ids to allow proper copy
    between servers, closes: #302321.

 -- Ola Lundqvist <opal@debian.org>  Sun, 10 Apr 2005 21:33:40 +0200

util-vserver (0.30.204-4) unstable; urgency=low

  * Build depend on a later version of dietlibc, closes: #301696.
  * Added a rule to debian/rules so that it do not build on hppa
    that do not have a reserved syscall in the kernel.
  * Special build rule in debian/rules is no longer needed for powerpc
    with the new dietlibc, and so removed.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Mar 2005 07:40:13 +0200

util-vserver (0.30.204-3) unstable; urgency=low

  * Fix in configure call in order to make it build on s390, hppa and
    mipsel, closes: #301696. Thanks to Steve Langasek <vorlon@debian.org>
    for pointing this out.
  * This only work on autoconf (>= 2.52), so adding that build dep.

 -- Ola Lundqvist <opal@debian.org>  Mon, 28 Mar 2005 11:23:19 +0200

util-vserver (0.30.204-2) unstable; urgency=low

  * Removed provide of vserver-debiantools.
  * Added build dependency on a fixed dietlibc.
    This closes: #297806 with the fixes from Lars Wirzenius.
  * Added a rule in debian/rules that cause a build error on arm arch.

 -- Ola Lundqvist <opal@debian.org>  Sat, 26 Mar 2005 09:30:53 +0100

util-vserver (0.30.204-1.1) unstable; urgency=low

  * debian/rules: Added stuff to put architecture specific macros to CFLAGS
    to work around problems in dietlibc's header files.
  * src/vshelper-sync.c: Test for __linux__ (which is defined always when
    compiling for Linux) instead of __linux (which is not defined when
    compiling with gcc --std=c99).

 -- Lars Wirzenius <liw@iki.fi>  Thu, 24 Mar 2005 12:30:00 +0200

util-vserver (0.30.204-1) unstable; urgency=low

  * New upstream release.
    This is the release that actually support alpha, see #297787.
  * Make sure that util-vserver-vars is not updated every release just because
    the Id string has been updated.

 -- Ola Lundqvist <opal@debian.org>  Sun, 13 Mar 2005 10:58:33 +0100

util-vserver (0.30.203-2) unstable; urgency=low

  * Moved util-vserver-vars to /etc/vservers in order to support
    different vserver rootdir in legacy support mode.
  * Removed conflict with vserver-debiantools.
  * Documented how to support other location than /var/lib/vservers
    for the vserver roots.
  * Verified that compiling on a non-ctx kernel work with this
    version of util-vserver, closes: #291426.
  * New upstream version that will work on alpha, closes: #297787.
  * It also have much better support for Debian and therefore the
    vunify binary no longer need to be removed, closes: #176894.
  * The vproc security is also in this version, closes: #258038.
  * Uncommented the upgrade path from the vserver package and also
    made sure that it works with this version of util-vserver.

 -- Ola Lundqvist <opal@debian.org>  Sat, 12 Mar 2005 11:43:58 +0100

util-vserver (0.30.203-1) experimental; urgency=low

  * New upstream version.
  * No longer use dpatch (build dep removed).
  * ndim_rollup.dpatch not applied.
  * vserver-ctx-file-correction.diff no longer applies and is removed.
  * Updated copyright file with upstream download location.

 -- Ola Lundqvist <opal@debian.org>  Sat, 26 Feb 2005 13:57:25 +0100

util-vserver (0.30.196-1) experimental; urgency=low

  * Hans Ulrich Niedermann
    - Adapt for proposed upstream tarball with docs included.
    - Require net-tools/nameif and vlan/vconfig (for legacy scripts).
    - debian/patches/ndim_rollup.dpatch: Rollup patch to include docs.
      This patch contains the difference between the released upstream
      tarball and our proposed upstream tarball. Our proposal is to
      include the docs built with non-free/contrib in the upstream
      tarball, so that we don't need the tools to generate them.
  * Kilian Krause
    - preliminary alpha utils deb.
  * Ola Lundqvist
    Minor changes.

 -- Ola Lundqvist <opal@debian.org>  Fri,  7 Jan 2005 18:16:31 +0100

util-vserver (0.30-13) unstable; urgency=high

  * Use chmod instead of chattr becuase of dependencies.

 -- Ola Lundqvist <opal@debian.org>  Sat,  8 Jan 2005 23:12:29 +0100

util-vserver (0.30-12) unstable; urgency=high

  * SECURITY: Added a chattr +t /var/lib/vservers to postinst.
    Also added documentation to a README.Debian file about this.

 -- Ola Lundqvist <opal@debian.org>  Fri,  7 Jan 2005 17:15:11 +0100

util-vserver (0.30-11) unstable; urgency=high

  * Important bugfix to make sure that two vservers do not get the same
    context number, closes: #288694.

 -- Ola Lundqvist <opal@debian.org>  Wed,  5 Jan 2005 21:14:46 +0100

util-vserver (0.30-10) unstable; urgency=low

  * Applied a patch from Helmut Toplitzer <helmut@ifit.uni-klu.ac.at>
    that fix a problem with the ctx numbers on vserver restarts.
    Closes: #280723.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Dec 2004 17:38:20 +0100

util-vserver (0.30-9) unstable; urgency=low

  * Applied patch to fix --vsroot option in vserver-copy script,
    closes: #281848. Thanks to hk47@free.fr for the fix.
  * Removed cvs and cvs2cl from build dependencies.

 -- Ola Lundqvist <opal@debian.org>  Sat, 27 Nov 2004 18:04:50 +0100

util-vserver (0.30-8) unstable; urgency=high

  * Fixed so that /var/run/vservers is a part of the package,
    closes: #272616.

 -- Ola Lundqvist <opal@debian.org>  Mon, 27 Sep 2004 21:33:50 +0200

util-vserver (0.30-7) unstable; urgency=high

  * Fixed bug in security fix. It complains if the file or directory do
    not exist.
  * Fixed so that rebootmgr and vservers init scripts use /var/lock instead
    of var/lock/subsys, closes: #270641.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Sep 2004 19:44:11 +0200

util-vserver (0.30-6) unstable; urgency=high

  * Symlink security vulnerability fixed by introducing a testsafelinkdir
    function to give the real path if it points inside the vserver.
  * Also checks for proc symlink to avoid such symlink attacks.
  * Fixed vserver-copy by using /bin/bash instead of /bin/sh.
  * Fixed lintian error on chcontext manpage (now section 8 instead of 1).

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Aug 2004 11:23:53 +0200

util-vserver (0.30-5) unstable; urgency=low

  * Updated copyright so it refer to GPL in a proper way.

 -- Ola Lundqvist <opal@debian.org>  Tue, 17 Aug 2004 21:02:46 +0200

util-vserver (0.30-4) unstable; urgency=low

  * Fixed FTBFS error bu modifying Makefile, closes: #264685.
    This TFBFS error only seem to exist on kernel 2.6 systems when running
    pbuilder.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Aug 2004 08:57:26 +0200

util-vserver (0.30-3) unstable; urgency=low

  * Started supporting vrpm (we should be able to install redhat even on
    a Debian box).
  * Removed /etc/vservers/newvserver.defaults because that is never used
    by anything except linuxconf.
  * Made upgrade path from vserver package, closes: #236680, #247429.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Aug 2004 14:10:49 +0200

util-vserver (0.30-2) unstable; urgency=low

  * Fixed bashism in vservers init script, closes: #247431.
  * Added suggest on newly created package vserver-debiantools.
  * Clarified package description some.
  * Fixed vserver error, closes: #259214.
    Thanks to Daniel Hermann <hermann@tkm.physik.uni-karlsruhe.de> for
    the patch.
  * Changed from cp -ax to rsync -ax with exclude of VROOTDIR,
    closes: #256655, #258487.

 -- Ola Lundqvist <opal@debian.org>  Wed, 28 Jul 2004 19:14:40 +0200

util-vserver (0.30-1) unstable; urgency=low

  * new upstream release
    (closes: Bug#257853)
    (closes: Bug#253307)
  * team maintainance of util-vserver:
    make Ola Lundqvist the maintainer and me co-maintainer
  * util-vserver is replacing vserver which will be removed
  * we have to conflict with vpopmail-bin because we have a
    file with the same name in the package
    (closes: Bug#254277)
  * the problem with the /usr/share/doc/util-vserver/html
    directory is now fixed
    (closes: Bug#233823)

 -- Noèl Köthe <noel@debian.org>  Tue, 06 Jul 2004 19:33:00 +0200

util-vserver (0.29-5) unstable; urgency=medium

  * args.:( now the correct path:
    /etc/util-vservers/ -> /etc/vservers/

 -- Noèl Köthe <noel@debian.org>  Sat, 20 Mar 2004 20:23:49 +0100

util-vserver (0.29-4) unstable; urgency=medium

  * corrected /etc/util-vserver/ to /etc/util-vservers/
    to be compatible with the "vserver" package
    (closes: Bug#238734)

 -- Noèl Köthe <noel@debian.org>  Fri, 19 Mar 2004 22:55:49 +0100

util-vserver (0.29-3) unstable; urgency=low

  * util-vserver-vars path move to /etc/util-vserver/
  * corrected path of util-vserver-vars in binaries
    (closes: Bug#236704)

 -- Noèl Köthe <noel@debian.org>  Mon, 15 Mar 2004 23:05:40 +0100

util-vserver (0.29-2) unstable; urgency=low

  * fixed util-vserver-vars path in vserver
    (closes: Bug#234332)

 -- Noèl Köthe <noel@debian.org>  Mon, 23 Feb 2004 20:41:40 +0100

util-vserver (0.29-1) unstable; urgency=low

  * new upstream release from 2004-02-11

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Feb 2004 22:39:10 +0100

util-vserver (0.28-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#230565)

 -- Noèl Köthe <noel@debian.org>  Sat, 31 Jan 2004 21:59:58 +0100

